giovedì 12 gennaio 2012

Alice PPPoE Connect / PPPoE for Android 2.0 released


Alice PPPoE giunge alla versione 2.0. Ecco le novità:
- Possibilità di nascondere la notifica nella status bar.
- Possibilità di settare la default route manualmente (risolve problemi di connessione)
- Corretti alcuni bug.

Segnala eventuali malfunzionamenti nei commenti!
Nota per i possessori di LG P500 (Optimus One): sulla rom ufficiale il supporto PPP non è abilitato di default, quindi bisogna usare una rom custom oppure flashare un altro kernel
------------------------------------------------------------
PPPoE for Android has reached version 2.0. What's new:
- You can now hide notification in statusbar
- You can now set default route manually
- Bugfix

If you find any issue, report it in the comments!

It ships with an unmodified executables of Roaring Penguin's rp-pppoe 3.10 and busybox 1.18.4, wich are released under the GNU GPL license. Here are the sources: busybox 1.18.4 and rp-pppoe
It uses also pppd 2.4.5 (http://ppp.samba.org) released under BSD license.

105 commenti:

  1. Ho un galaxy tab Il wifi mi da collegato ma alla connessione con alice mi da permission denied non ci sono altri log nella cartella /DATA/DATA

    RispondiElimina
  2. Ciao panandrea, hai alice adsl? Permission denied è un errore che capita con alcuni modelli di modem alice quando c'è già un dispositivo (ad esempio il PC) collegato a internet. Purtroppo alcuni modem soffrono quando ci sono più device collegati contemporaneamente, ma questo problema si può risolvere facilmente facendo in modo che il telefono sia il primo a collegarsi. Quindi disconnetti il pc da internet, connettiti dal telefono e poi connettiti nuovamente dal PC, così lo dovresti fregare :D
    Fammi sapere se risolvi!!

    RispondiElimina
  3. Ho un Samsung galaxy 5 GT-I5500B, ho scaricato l'applicazione PPPoE per Android, ma non posso accedere a internet, connettersi al wi-fi re, poi execulto il programma, si dice questo conctado ma non riesco ad accedere al sito web.

    la mia mail e è:willamyx18@hotmail.com

    RispondiElimina
  4. Ti ho contattato per email Willamy :)

    RispondiElimina
  5. Anche se connesso non mi fa navigare dice access denied ho in LG p500

    RispondiElimina
  6. Ciao adelfo, puoi scrivere precisamente quale errore ricevi? casomai scrivimelo per email. Comunque se l'errore è "permission denied" per risolvere devi semplicemente scollegare il pc da internet e poi collegarti dal telefono con la mia app, questo perchè alcuni modem alice sono scarsi e non supportano due dispositivi collegati in contemporanea :)

    RispondiElimina
    Risposte
    1. sei gentilissimo scusa forse non mi sono spiegato bene: ricapitolando io ho un modem wifi alice plus ho collegato il pc via eth e quando provo a connettermi con lo smart mi dice :log connessionePermission denied
      /data/data/com.eagle.alicepppoe/pppd.log:No such file or directory

      Elimina
  7. Scusa ancora ma non riesco aiuto!!

    RispondiElimina
  8. Ciao adelfo, penso di aver capito quale è il tuo errore! Hai ottenuto i permessi di root? E hai cliccato su "consenti" la prima volta che Superuser ti ha chiesto se concedere l'autorizzazione? Se hai cliccato su "nega" ricevi quell'errore :) Per sistemare le cose basta che apri l'app "superuser" e metti la mai app tra quelle consentite :)

    RispondiElimina
    Risposte
    1. errore di battitura: "metti la mia app tra quelle consentite" :)

      Elimina
  9. scusa di nuovo si avevo già impostato i permessi di root su consentito il problema persiste non so più cosa fare forse l'unica cosa è di cambiare modem dato che con gli altri modem funziona tutto a meraviglia mi dispiace per il disturbo la tua appl è fantastica ma secondo me non va bene sull'lg p500 anche un mio amico ha lo stesso problema con la tua appl e il mio stesso smart fa nulla risolverò in qualche altro modo...magari mettendo mani al portafogli e comprare un altro modem

    RispondiElimina
    Risposte
    1. il fatto è che io ho un lg p500 e mi funziona tutto bene (anzi l'app è stata originariamente sviluppata proprio per l'optimus one)
      che rom stai usando? Sulla rom ufficiale gingerbread non va perchè LG ha disabilitato il PPP ma l'errore che dovrebbe spuntarti è "could not set pty to ppp discipline". Sicuro che non sia quello l'errore? in tal caso basta cambiare kernel :)

      Elimina
  10. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  11. Ciao, non riesco a connettermi.
    pppoe: read (asyncReadFromPPP):Session 42118 Input/output error
    Mi puoi aiutare, grazie

    RispondiElimina
    Risposte
    1. Ciao Max, puoi postare l'intero messaggio di errore?

      Elimina
    2. E scrivi anche che dispositivo e versione di Android usi :)

      Elimina
    3. Impossibile connettersi ... assicurati che il segnale sia abbastanza forte .etc. + in background il messaggio che ho postato prima.
      Ho un Galaxy nexus 4.0.3

      Elimina
    4. il messaggio che ho scritto sopra compare se connetto prima il mio gnex e poi il pc.
      Se invece inverto, prima il pc e poi il gnex: impossibile connettersi etc. + in background Couldn't set tty to PPP discipline: invalid argument

      Elimina
    5. Ma in background spunta solo quella riga? O da altri errori? Comunque così ad occhio sembrerebbe il solito problema del kernel che non supporta il PPP. Se puoi oltre a gli eventuali altri errori in background posta anche la versione del kernel che trovi nelle info del telefono...

      Elimina
    6. Per completezza ti dico che:
      - ho connesso il gnex usando la pw del wifi = il device mi risulta connesso (se vado nel browser android mi compare la schermata di alice con il messaggio pppoe);
      - poi ho avviato la tua app ed ho inserito lo user e pw che uso su questo pc per connettere alice;
      e poi ho i messaggi che ti scrivevo in precedenza
      Grazie

      Elimina
  12. Versione Kernel
    3.0.20-imoseyon-1.10.0-04464-g6344be0
    imoseyon@ubuntu#434

    RispondiElimina
    Risposte
    1. Vedo che hai messo una rom/kernel modificata... potrebbe essere che l'autore del kernel abbia disabilitato il ppp. Se puoi aggiungimi su GTalk (la chat di gmail) così facciamo qualche prova, la mia mail è car.miglio[at]gmail.com
      (sostituisci [at] con la @)

      Elimina
    2. ho seguito le tue info:
      - ho scritto zcat /proc/config.gz | grep PPP (con gli spazi indicati)
      - invio
      - zcat: /proc/config.gz: No such file or directory
      1|app_164@android:/ $

      A te la parola e grazie

      Elimina
  13. Ciao ti dico subito il mio problema...col pc mi connetto via wireless tramite modem alice ma per scaricare dati, avendo un abbonamento infostrada, ho dovuto creare una connessione remota tramite crea nuova connessione e non inserisco ne nome utente e ne password nominandola semplicemente infostrada e cliccando su connetti e sul pc va bene.. ora ho installato la tua applicazione perchè pensavo fosse l'applicazione adatta ma magari mi sbaglio :-); premetto che ho i permessi di root e l'installazione è andata a buon fine ma quando clicco su connetti mi appaiono i seguenti errori:

    Couldn't set tty to PPP discipline: Invalid argument
    ppoe: read (asynReadFromPPP): Session 20928
    Input/Output error
    ppoe: read (asynReadFromPPP): Session 5242
    Input/Output error

    Ora ho letto che "Alice PPPoE connect utilizza RP-pppoe 3.10 (i cui sorgenti possono essere scaricati da questo sito: http://www.roaringpenguin.com/products/pppoe ) e pppd 2.4.5 (http://ppp.samba.org )"

    ...io queste cose le ho scaricate ma non so che farci perchè non sono esperto..quindi se gli errori dipendono da queste non so dove metterle nel dispositivo
    Spero mi possa aiutare...grazie

    RispondiElimina
    Risposte
    1. Ah dimenticavo....la versione di Android che monta il dispositivo è la 2.3.4 e la versione Kernel è 2.6.35.7!la mia mail è ulgheri@yahoo.it

      Elimina
  14. Couldnt run the program saying root permission required

    RispondiElimina
  15. Salve,desert_eagle ho scaricato alice pppoe connect sul telefono,provo a connettere al modem (alla distanza di 1 cm),e mi da un errore: "Impossibile connettersi. Assicurati che il segnale sia abbastanza forte e riprova" (segnale al max). Sai come risolvere?Attendo tue risposte,Grazie in anticipo.

    Saluti Antonio.

    RispondiElimina
    Risposte
    1. Salve Antonio, devi dirmi che modello di cellulare hai e soprattutto l'errore che appare nel logfile (è la parte dell'applicazione sotto il tasto disconnetti). Prova a connetterti e poi vedi che errore ricevi.

      Elimina
  16. Ho un HTC legend ho comprato la tua applicazione di alice mi connetto al router ma non riesco a navigare! Ho z4root e superuser.

    RispondiElimina
    Risposte
    1. Ciao Gianni, devi essere più preciso, dimmi ESATTAMENTE che errore appare nel logfile quando provi a connetterti (lo puoi leggere sotto il tasto "disconnetti")

      Elimina
  17. salve desert_eagle
    mi chiamo Federico e ho scaricato la tua applicazione. però non riesco a connettermi perché mi da' questo errore:
    "Connection terminated.
    Using interface pppo0
    FIX ME! implement ttyname() bionic/libc/bionic/stubs.c:432

    ...

    Failed to set PPP kernel option flags: inappropriate ioctl for device"

    il mio telefono è un LG GT-540, con Android 4.0.3, versione kernel 2.6.35_14_ICS-preRC_PolishBlood

    RispondiElimina
  18. Ciao Federico, molto probabilmente è dovuto all'incompatibilità con la versione di Android che hai sul tuo GT-540. Dato che purtroppo LG non ha rilasciato una versione ufficiale di ICS per questo telefono, la tua rom potrebbe dare questo problema (infatti è la prima volta che vedo questo tipo di errore). Potresti provare su una rom con Gingerbread?

    RispondiElimina
    Risposte
    1. Ciao desert_eagle,
      certamente posso fare questa prova. Spero di riuscire a farla a breve.

      Ciao.

      Federico

      Elimina
  19. Hello from Japan.

    It says I am connected but I can't browse. And tapping the "Set default route" button won't help me.

    The connection log is as follows:

    ppp0 is now up

    Using interface ppp0
    Connect: ppp0 <--> /dev/pts/0
    PAP authentication succeeded
    Could not determine remote IP address: defaulting to 10.64.64.64
    local IP address 172.30.10.233
    remote IP adress 10.64.64.64

    Any clue?

    Thanks.

    RispondiElimina
    Risposte
    1. Hi ko-ichi, sorry for answering late. I'm sorry but this error message ("could not determine remote ip address") means that the app is not compatible with your ISP. It happens a very few times, but this seems the case. If you contact me via email and tell me what's your order number i'll refund you. Let me know. Have a nice day!

      Elimina
  20. ciao desert_eagle,
    sul mio samsung galaxy sIII la tua applicazione riporta come errore "Couldn't set tty to PPP discipline: Invalid argument"
    e a seguire sempre nel log "pppoe:read (asyncReadFromPPP):Session 15185: Input/output error"
    Puoi aiutarmi? tersigni.leonardo92@gmail.com

    RispondiElimina
    Risposte
    1. Purtroppo è il classico errore che segnala che il kernel non supporta il PPP. Essendo il galaxy s3 ancora nuovo c'è poco da fare, ma nonappena si diffonderanno delle rom modificate potrai cambiare kernel e risolvere il problema :)

      Elimina
  21. ciao ho comprato la tua applicazione, ho un galaxy S SCL (gt i9003) con kernel 2.6.32.9 con root e mi da l'errore You need to create the /dev/ppp device node by executing the following command as root mknod/dev/ppp c 108 0
    Couldn't open the /dev/ppp device: No such file or directory.
    come posso risolvere? grazie

    RispondiElimina
    Risposte
    1. Purtroppo ciò significa che il kernel è incompatibile (manca il supporto al PPP). Per risolvere puoi mettere un kernel modificato, oppure potresti provare ad aggiornare alla versione di android 2.3 (gingerbread) dato che altri che hanno il galaxy s con gingerbread non hanno avuto problemi.Se ci sono problemi non esitare a contattarmi :)

      Elimina
    2. qualche consiglio sul come creare /dev/ppp device node manualmente? tipo con busy box o qualche altra app? grazie.

      Elimina
  22. Ciao desert...ho un lg p500 con ICS di hephappy!quando provo a collegare il cell a un modem alice e vado alla tua applicazione mi esce scritto: couldn't open the dev/ppp device: no such file or directory!
    il problema è il kernel che nn supporta il ppp?

    RispondiElimina
    Risposte
    1. Ciao Giovanni, purtroppo si, il problema è quello... anche io avevo la versione di hephappy e l'ho notato... sono dovuto tornare a gingerbread :-/
      Speriamo che hep aggiunga il supporto PPP nelle prossime versioni!
      Mal che vada appena ho un po' di tempo e finiscono gli esami vedo se posso compilare io un kernel col ppp abilitato :)

      Elimina
    2. Gli ho inviato un messaggio su xda sia ad hephappy che ad arjen ma dubito che lo leggeranno :/
      Allora aspetterò un tuo kernel desert...grazie ;)

      Elimina
  23. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  24. Salve, ho un Galaxy tabII, ho seguito tutta la procedura corretamente, quando connetto mi dice che Alice PPPoE ha ottenuto l'autorizzazione Superuser però poi mi da errore
    "Couldn't set tty to PPP discipline: Invalid argument
    pppoe: ioctl(SIOCGIFHWADDR): Session 0: No such device

    Grazie

    RispondiElimina
  25. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  26. Salve ho un galaxy ace S5830i.sono riuscito a installare l'app ma quando connetto mi dice "impossibile connettersi.assicurati che il segnale sia abbastanza forte e riprova.se il log di conn...".
    ho una versione android 2.3.6 , versione kernel 2.6.35.7 dpi@DELL146#1 , versione build gingerbread.xxlb2
    Utilizzo un modem alice dialface cn abbonamento infostrada

    Grazie

    RispondiElimina
    Risposte
    1. Ciao Fabio, devi dirmi che errore compare nel log di connessione che c'è nella parte bassa dell'applicazione così posso aiutarti. A naso sembra comunque il solito problema dei Samsung che hanno un kernel con PPP disabilitato, facilmente risolvibile ;)

      Elimina
    2. Grazie per aver risposto tempestivamente...ma ho appena riprovato a riconnettere ed è partito adesso..sembra che nn ci siamo più problemi!

      Grazie ancora :)

      Elimina
  27. Ciao, ho comprato oggi il tuo programma ma non riesco a farlo funzionare.
    ho installato un nuovo kernell visto che quello stock non supporta il PPP. Sono un noob e ho googlato best kernel e ora ho questo. Tutta via non ancora

    Versione Kernel
    3.0.15*siyah-s3-v1.5.2
    gm@ubuntu #28

    RispondiElimina
    Risposte
    1. Ciao serverbt, scusa per la risposta in ritardo. Per poterti aiutare devi dirmi cosa appare nel log di connessione (quello che c'è nella parte bassa dell'applicazione) :-)

      Elimina
  28. ciao ho scaricato la tua applicazione, ma quando provo a connettermi mi da questo errore:

    log connessione couldn't set tty to ppp discipline invalid argument

    pppoe read (asyncread from ppp) input/output error

    versione kernel

    kernel 3.0.15 928452-user

    modello samsung galaxy S3

    puoi dirmi da che dipende?

    RispondiElimina
    Risposte
    1. Ciao Paolo, dipende dal kernel del Galaxy S3 che non supporta il PPP. Contattami via email (trovi l'indirizzo sulla pagina dell'app sul Play Store) così posso inviarti il modulo kernel che risolverà questo problema :)

      Elimina
  29. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  30. salve io ho un galaxy nexus appena aggiornato a jelly bean e ho riscontrato questo errore:
    /system/bin/sh: [1]: cat: /data/data/com.eagle.alicepppoe/pppd.log: Permission denied
    ti ringrazio in anticipo e aspetto presto tue delucidazioni a proposito...ciao

    RispondiElimina
    Risposte
    1. Ciao Gianluca. È molto strano questo errore... innanzitutto ti chiedo: hai i permessi di root? Prima di aggiornare, l'applicazione funzionava? Stai attento che se prima dell'aggiornamento avevi i permessi di root non è detto che siano stati conservati con l'aggiornamento...
      Se sei sicuro di avere i permessi di root, prova a cancellare i dati dell'applicazione dal menu applicazioni di android, in questo modo dovresti risolvere. Fammi sapere se funziona :)

      Elimina
  31. ciao desert_eagle
    beh prima di tutto grazie mille per averci dato la possibilità di connetterci al wifi. Detto questo vorrei farti una domanda: esiste un modo, alla portata di un incapace come me, per inserire il supporto PPP in un kernel?
    Possiedo un Desire HD e purtroppo, la maggior parte delle rom ics(con sense 4) non supportano la connessione pppoe
    grazie mille in anticipo
    ti auguro una buona giornata,
    ciao :D

    RispondiElimina
    Risposte
    1. Ciao, se sei pratico di Linux puoi semplicemente scaricare i sorgenti del kernel usato nella tua rom e ricompilarlo, aggiungendo il supporto al ppp asincrono. Altrimenti se mi linki i sorgenti del kernel della tua rom posso compilarti un driver adhoc, però dovrai caricarlo ogni volta che vuoi collegarti col pppoe (è la stessa soluzione descritta sul blog per risolvere l'incompatibilità col Galaxy S3). Fammi sapere!

      Elimina
    2. mi faresti un favore enorme!
      il kernel lo trovi qui
      http://forum.xda-developers.com/showthread.php?s=093e3d3a4e32ccbb53c1383206635e3a&t=1876566

      (primo post, voce downloads - virtuos kernel)

      grazie infinite

      Elimina
  32. ciao scusa volevo chiederti se potevi vedere cosa non andava con questo kernel http://www.mediafire.com/download.php?o2ay5v0wcjazo85 , mi dice connesso ma quando provo ad aprire il browser non carica la pagina...grazie

    RispondiElimina
    Risposte
    1. Ciao Aurelio, dovresti dirmi che dispositivo stai usando e che versione di android hai, altrimenti non posso aiutarti :) Solitamente questi problemi si verificano con gli HTC...

      Elimina
    2. infatti è un HTC Desire S uso una rom miui con android 4.0.4

      Elimina
    3. scusa non serve più...ho patchato il mio modem alice e ora posso connettermi senza aver bisogno del pppoe.

      Elimina
  33. ciao desert,
    ti faccio la premessa che possiedo un htc (il desire hd)
    Ti volevo chiedere come mai con qualsiasi rom sense l'applicazione mi da messaggio positivo circa la connessione ma internet continua a non funzionare. Ho letto tra i vari commenti che è un problema tipico degli htc...c'è modo di risolverlo?
    ah quasi dimenticavo...questo problema invece è inesistente con le rom android "puro" (aosp e aokp)
    Inoltre, volevo sapere se esiste un modo per disabilitare il protocollo pppoe. Ho acquistato da pochissimo un one x e ho troppa paura di ottenere i permessi di root XD chiaramente questo comporta la rinuncia al wifi...cosa che sta iniziando a diventare particolarmente problematica...

    grazie in anticipo e perdona il disturbo,
    buonasera!

    RispondiElimina
    Risposte
    1. Ciao, come hai detto tu è un problema di htc, infatti con le rom sense non funziona... purtroppo abbiamo tentato di risolverlo ma niente da fare, htc ha disabilitato la possibilità di settare la default route sulle proprie rom... l'unica soluzione è usare rom aosp :( quindi purtroppo anche con one X dovresti fare così...

      Elimina
    2. Ciao, come hai detto tu è un problema di htc, infatti con le rom sense non funziona... purtroppo abbiamo tentato di risolverlo ma niente da fare, htc ha disabilitato la possibilità di settare la default route sulle proprie rom... l'unica soluzione è usare rom aosp :( quindi purtroppo anche con one X dovresti fare così...

      Elimina
    3. si ma quello che non mi spiego è come mai non riesco ad utilizzare più il wifi. Voglio dire, quando acquistai l'applicazione usavo il wifi proprio su una rom sense. Quindi le modifiche di htc risalgono a poco più di un anno fa. Ma allora perchè non riesco a far partire la connessione anche con rom antecedenti a queste modifiche? o.O

      Elimina
  34. Ciao ho appena installato la tua applicazione e ho il problema 'couldn't set tty to ppp discipline: Invalid argument: ioclt(SIOCGIFHWADDR): Session 0 : no such device'
    ho un galaxy tab 2 10.1 (GT-P5110) con ics 4.0.3 con autorizzazioni root e Kernel 3.0.8-365113-user dpi@DELL172#1
    Mi puoi aiutare?

    Ciao

    RispondiElimina
    Risposte
    1. Guarda il post sul Galaxy S3... cercherò di pubblicare il driver per il tab2 appena possibile ;)

      Elimina
  35. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  36. Ciao,non ho ancora avuto la possibilità di scaricare il tuo programmino perchè internet non vuole proprio funzionare però ho provato gli altri 2 programmi pppoe presenti nel market e che ho trovato nella rete da downlodare nel pc e non funzionano.
    Il mio problema è che una volta connesso alla rete qualunque pagina provi ad aprire viene scritto : la connessione PPPOE sul pc non è attiva, per accedere a internet è necessario connettere manualmente il proprio pc ad internet.
    Ho provato anche a condividere la rete pc/smartphone ma niente.


    Io ho un Samsung galaxy next turbo con permessi di root e con rom originale.

    cercerò di scaricare il tuo programmino appena trovo un punto wifi a cui connettermi.
    Se mi vuoi dare un consiglio te ne sarei grato.

    ciao

    RispondiElimina
  37. Ciao DE,
    ho un Galaxy S I-9000 con i permessi di root e ho acquistato la tua app.
    versione fw: 2.3.4
    versione kernel: 2.6.35.7
    Quando apro l'app riceve i permessi di root da superuser (3 volte) ma poco dopo mi compare: "impossibile connettersi. assicurati che il segnale sia abbastanza forte e riprova. se il log di connessione riporta degli errori, controlla la sezione aiuto".
    L'errore del log (ripetuto più volte) è il seguente:
    "Couldn't set tty to PPP discipline: invalid argument".
    Cosa devo fare? Non va bene il fw e la versione del kernel? Quale dovrei avere per non aver problemi?
    Grazie

    RispondiElimina
    Risposte
    1. Ciao Vincenzo, scusa per il ritardo nella risposta. Mi dovresti dire quale è la versione esatta del tuo kernel, dovrebbe essere qualcosa del tipo 2.6.35.7-304566-user
      A quel punto posso preparare il modulo per il tuo kernel ;)

      Elimina
  38. ciao desert!
    non c è la possibilità di scrivere un app del genere per windows phone 7.5?

    RispondiElimina
    Risposte
    1. Ciao Don, no mi dispiace questa app è compatibile solo con Android in virtù del fatto che Android è un sistema "aperto" e basato su Linux. Purtroppo non è possibile sviluppare qualcosa di simile per Windows Phone oppure iOS.

      Elimina
  39. Log connessione/system/bin/sh: [1]: cat: /data/data/com.eagle.alicepppoe/pppd.log: Permission denied
    Ciao desert quando apro la tua applicazione mi compare "impossibile connettersi.Assicurati che il segnale sia abbastanza forte e riprova". Il segnale è ottimo e sono a un cm dal modem!Al log mi compare l'errore di sopra!
    Ho un galaxy nexus android 4.1.2 kernel:3.0.31-g4f6d371 con permessi di root. Grazie mille in anticipo.

    RispondiElimina
  40. Sono sempre io.. Sono riuscito a risolvere l'errore dei "permission denied" istallando una nuova versione del super user. Ma adesso compare il messaggio: "Error:ppp0 is not up"

    RispondiElimina
    Risposte
    1. Ciao Nicola, l'unico errore è quello lì? Non ci sono altri errori nel log?

      Elimina
    2. Allora compare per intero:
      Log connessione
      Disconnecting...
      Error:ppp0 is not up
      Disconnecting...
      /system/bin/sh: [1]: cat: /data/data/com.eagle.alicepppoe/pppd.log: Permission denied

      Elimina
    3. Con il vecchio super user compariva solo:
      /system/bin/sh: [1]: cat: /data/data/com.eagle.alicepppoe/pppd.log: Permission denied
      credo perchè l'app non aveva i permessi necessari di logging. Ora che ho istallato la versione pro del superSu compare l'errore di prima.

      Elimina
  41. Salve, ho un Samsung Galaxy W (GT-I8150) con model Alice Gate 2 non wifi, a cui ho connesso un router wifi. Già vi accedo regolarmente con altri dispositivi (laptop), ma non con il mio Galaxy. Ho letto su parecchi blog che serviva la vostra app, la ho acquistata e installata, ma ora mi da l'errore "Non hai i permessi di root! questa applicazion ha bisongo dei permessi di root per funzionare". Come posso procedere.
    Grazie

    RispondiElimina
  42. Questo commento è stato eliminato dall'autore.

    RispondiElimina
    Risposte
    1. Questo commento è stato eliminato dall'autore.

      Elimina
  43. Ciao desert_eagle,
    ho un Galaxy S wifi 5.0 con i permessi di root e ho acquistato la applicazione Alicepppoe connect versione 2.0;
    la versione kernel del mio dispositivo è: 2.6.35.7 - G70XXKPF-CL562492 se.infra@SEP-67#2
    Quando apro l'app, questa riceve i permessi di root da superuser ma poco dopo appare: "impossibile connettersi. assicurati che il segnale sia abbastanza forte e riprova. se il log di connessione riporta degli errori, controlla la sezione aiuto".
    L'errore del log è il seguente:
    "Couldn't set tty to PPP discipline: invalid argument".
    Ho capito che la versione del kernel non supporta il ppp. Cosa devo fare?
    Grazie
    Marco

    RispondiElimina
    Risposte
    1. Ciao, per poter funzionare c'è bisogno di un modulo per il tuo kernel. Spero di riuscire a prepararlo entro domani, per l'installazione puoi vedere la guida per il galaxy s3 che trovi sempre su questo blog.

      Elimina
    2. ciao,questo modulo dove lo trovo? grazie!

      Elimina
    3. ciao desert_eagle, purtroppo in qs mesi non ho avuto tempo di occuparmi del mio tablet...ora volevo connetterlo, ma onestamente sono rimasto fermo al modulo di cui mi parlavi..se c'è dove posso scaricarlo? o devo anche io seguire la procedura per il galaxy s3 che c'è in questo blog? grazie mille

      Elimina
    4. ciao desert, scusa la sbadataggine, ma io non trovo questo modulo che hai fatto per il mio kernel in questo blog...mi potresti dare una mano? grazie mille

      Elimina
  44. Ciao Desert_eagle, premetto che ho la conoscenza di un troglodita su questi argomenti; ho acquistato la tua app, pensando mi risolvesse il problema di connesione (ho un samsung Galaxy Advance e un modem alice gate plus2 wi-fi in modalità Bridge): per connettere il cell alla WIFI e navigare avrei bisogno di una connessione a banda larga, ho installato la tua app, ma mi dice che non ho i permessi di ROOT! ho guardato un pò su internet ma per attivare questi root devo scaricare altre applicazioni, ho scaricato SuperSU ma non gira perchè manca SU; anche per questo devo modificare i permessi di root?
    boh non so come fare hai consigli in merito? DEvo leggermi i vari post sulla modifica del root? Ho letto sulla guida della tua app che perderei la garanzia, posso poi ripristinare il tutto dovessi portarlo in assistenza?
    Se, eventualmente, troppo complicato (per le mie capacità informatiche) posso richiederte il rimborso per l'app?
    Sento la TElecom per farmi passare il modem a Bridge+router?


    Scusa le innumerevoli domande, spero risponderai appena hai tempo. Grazie mille!

    RispondiElimina
    Risposte
    1. Ciao, sì devi fare il root per poter usare l'app (oltre a questo il root porta anche tanti altri vantaggi). Sui telefoni Samsung è sempre abbastanza semplice, basta usare "Odin" (programma di Samsung) che fa quasi tutto da solo. In caso di problemi puoi sempre ripristinare l'immagine ufficiale e tornerà in garanzia. Se hai problemi posso certamente rimborsarti :) Fammi sapere!
      Ciao

      Elimina
    2. Grazie per la risposta: è come pensavo ho già i brividi a doverci mettere mano, proverò.

      Studierò come fare il root e come salvare l'immagine inziale del mio cell! :)

      Spero di poter contare sul tuo aiuto (ho visto un pò di pagine in giro sul web e a volt sono inconmprensibili!) Grazie :)

      Elimina
  45. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  46. Salve, ho un problema. L'app non mi da risultati, esce errore:
    "Impossibile connettersi. Assicurati che il segnale sia abbastanza forte e riprova. Se il log di connessione riporta degli errori, controlla la sezione "aiuto"."
    Come posso risolvere? Questa è la mia e-mail:
    niko47363@gmail.com
    Spero si possa risolvere il problema perché non mi sembra possibile che per connettersi al proprio modem bisogna scaricare un'app che lo permetta.

    RispondiElimina
  47. Ragazzi mi esce l'errore:
    "Impossibile connettersi. Assicurarsi che il segnale sia abbastanza forte e riprova. Se il log di connessione riporta degli errori, controlla la sezione "aiuto"."
    Come risolvo questo mio problema? Uffi voglio connettermi

    RispondiElimina
  48. Questo commento è stato eliminato dall'autore.

    RispondiElimina
    Risposte
    1. can you add support ppp/pppoe to kernel for sgn i9250? 4.2.2
      cwm-boot-JB.Stock.Kernel-JDQ39.zip - 4.43 MB

      Elimina
    2. Hi, I hope to add support to SGN soon :)

      Elimina
    3. I hope so. I'll be waiting)
      thx

      Elimina
  49. Ciao, ho Alice PPPoE sul mio LG L5 (E610) inizialmente con Android ICS 4.0.3 funzionante perfettamente, proprio ieri però ho aggiornato a Jelly Bean 4.1.2 con kernel 3.4.0, fatto di nuovo il root, avviato Alice PPPoE E MI DICE "Impossibile connettersi. Assicurati che il segnale sia abbastanza forte e riprova", aggiungo che il segnale è massimo..
    Ho letto i commenti e a quanto pare bisogna installare un kernel che supporti il PPPoE..
    Mi potresti dare una mano o linkarmi una guida (anche in inglese va bene) per installare il kernel?
    Grazie mille!

    RispondiElimina
  50. Hi. Im from iran . I dont have any access to google play store in iran. and I cant buy apps. I have pppoe for android v 1.9.1 that worked in my galaxy Ace.but I changed my phone to Galaxy S2 I9100G. this app dosent work in my new phone. I have rooted Stock rom 4.1.2 LSR (France). app log show this " /system/bin/sh:[1]: cat: /data/data/com.eagle.alicepppoe/pppd.log: permission denied" would you plz help me to solve this problem??

    RispondiElimina
  51. errore-24 durante l'istallazione
    io ho un samsung Galaxy s plus
    con jelly bean slim bean 4.3.1 versione kernel 3.4.67

    RispondiElimina
  52. Ciao ho acquistato la tua app ma sul mio HTC one google edition con root ovviamente e quando provo a fare connessione e gli acconsento i permessi non succede nulla. Ho modificato il nome utente e con password con libero e ospite dato che ho un modem Alice da usare con infostrada ma quando lo connesso esce una stringa di testo e alla fine sta scritto permission denied e se provo a cliccare sul tasto sotto non succede nulla e comunque non mi fa connettere...

    RispondiElimina
  53. Thank you for your program. It's very useful for those who don't have wifi at home and we have Broadband instead. But I have an issue for you, guys:

    I have version 1.91; it worked fine on my old Motorola XT531 with Gingerbread 2.3.5. But I've renewed my mobile, now I have a Moto G with KitKat 4.4.2 and it doesn't work.

    Albeit the program show as "connection established" I cannot navigate on the internet as I did before with my old mobile, at the background doesn't appear anymore IP connection, PAP and these stuff, now appears just a message with this content:

    "/system/bin/sh: [1]: cat: /data/data/com.eagle.alicepppoe/pppd.log: Permission denied"

    I have rooted my Moto G, with SU v1.94. So if you can identify that issue I will thank you a lot to fix that, or at least know the answer for that.

    Thanks, and greetings from Chile

    RispondiElimina
  54. Hello,

    I would like to know if this app will work with an usb to ethernet adapter. I looked, but I didn't see an option in your app to manually set what interface to using for the connection.

    RispondiElimina
  55. Ciao,
    ho appena scaricato la tua app per potermi connettere alla mia linea alice adsl. Ho installato i permessi di Root samsung, ma comunque mi compare il seguente messaggio:
    Log di connessione/system/bin/sh:[1]: cat: /data/data/com.eagle.aliceppoe/pppd.log: Permission denied/system/bin/sh:[1]: cat: /data/data/com.eagle.aliceppoe/pppd.log: Permission denied

    Come posso fare?
    Grazie

    RispondiElimina